Package logilab :: Package common :: Module changelog :: Class ChangeLogEntry

[frames] | no frames]

# Class ChangeLogEntry

source code

    object --+
             |
            ChangeLogEntry

    a change log entry, i.e. a set of messages associated to a version and
    its release date

Nested Classes
| version_class simple class to handle soft version number has a tuple while...

Instance Methods

__init__(self, date=None, version=None, **kwargs) x.__init__(...) initializes x; see help(type(x)) for signature | source code

add_message(self, msg) add a new message | source code

complete_latest_message(self, msg_suite) complete the latest added message... | source code

add_sub_message(self, sub_msg, key=None) | source code

write(self, stream=sys.stdout) write the entry to file | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, date=None, version=None, **kwargs)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### complete_latest_message(self, msg_suite)

source code

    complete the latest added message